## Name

sign — extract the sign of the parameter

## Declaration

`genType sign(` | genType x`)`;

`genIType sign(` | genIType x`)`;

`genDType sign(` | genDType x`)`;

## Parameters

`x`

  Specify the value from which to extract the sign.

## Description

`sign` returns -1.0 if `x` is less than 0.0, 0.0 if `x` is equal to 0.0, and +1.0 if `x` is greater than 0.0.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
sign (genType) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
sign (genIType) | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
sign (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

abs

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.